Loading...
Searching...
No Matches
typeindex.hh File Reference

Helper classes to provide indices for geometrytypes for use in a vector. More...

`#include <cstddef>`
`#include <dune/common/indices.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include "type.hh"`

Go to the source code of this file.

## Classes

class | Dune::LocalGeometryTypeIndex
| Compute per-dimension indices for geometry types. More...
class | Dune::GlobalGeometryTypeIndex
| Compute indices for geometry types, taking the dimension into account. More...

## Namespaces

namespace | Dune

## Detailed Description

Helper classes to provide indices for geometrytypes for use in a vector.